Package org.apache.sis.util

## Class UnsupportedImplementationException

- Object
- - Throwable
  - - Exception
    - - RuntimeException
      - - UnsupportedOperationException
        - - UnsupportedImplementationException

- All Implemented Interfaces:
    `Serializable`

      public class UnsupportedImplementationException
      extends UnsupportedOperationException

  Thrown when an operation can not use arbitrary implementation of an interface, and a given instance does not met the requirement. For example this exception may be thrown when an operation requires an Apache SIS implementation of a GeoAPI interface.
  Since:
    0.3
  See Also:
    Serialized Form

  Defined in the `sis-utility` module

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UnsupportedImplementationException​(Class<?> classe)` | Constructs an exception with an error message formatted for the specified class.
    `UnsupportedImplementationException​(Class<?> classe, Exception cause)` | Constructs an exception with an error message formatted for the specified class and a cause.
    `UnsupportedImplementationException​(String message)` | Constructs an exception with the specified detail message.

  - ### Method Summary

    - ### Methods inherited from class Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UnsupportedImplementationException

          public UnsupportedImplementationException​(String message)

      Constructs an exception with the specified detail message.
      Parameters:
        `message` - the detail message, or `null` if none.

    - #### UnsupportedImplementationException

          public UnsupportedImplementationException​(Class<?> classe)

      Constructs an exception with an error message formatted for the specified class.
      Parameters:
        `classe` - the unexpected implementation class.

    - #### UnsupportedImplementationException

          public UnsupportedImplementationException​(Class<?> classe,
                                                    Exception cause)

      Constructs an exception with an error message formatted for the specified class and a cause.
      Parameters:
        `classe` - the unexpected implementation class.
        `cause` - the cause for the exception, or `null` if none.